OCS/LCS suddenly appears unlicensed when KB974571 is applied

A current issue with a Microsoft patch has been discovered (and currently blogged about in numerous locations). In short, if security update KB974571 is installed on your OCS/LCS servers to believe they are expired evals. Removing the hotfix resolves the problem but then, of course, leaves the security vulnerability open. As can be expected, Microsoft is working to correct the issue ASAP.

Issue

OCS/LCS reports it is running as an evaluation and has expired when in fact it has not (volume or retail media was used).

Cause

Installation of Security Hotfix KB974571 released 10/13/2009.

Resolution

Uninstall Security Hotfix KB974571 from the OCS/LCS servers.

Additional References

http://communicationsserverteam.com/archive/2009/10/14/632.aspx
http://blogs.technet.com/dodeitte/archive/2009/10/13/do-not-apply-kb974571-to-lcs-ocs-servers.aspx
http://jasonshave.blogspot.com/2009/10/warning-about-kb974571-and-event-id.html
http://projectdream.org/wordpress/2009/10/13/kb974571-crypto-api-update-may-break-office-communications-server-2007-r2-installations/